
cccccc A very simple fortran routine to show how to call the
cccccc supergravity calculation. This works on RedHat 7 at least!
      
      program FortranCallSoftSusy

      implicit none

      double precision m0, m12, a0, mgut, tanb
      double precision runningParameters(110), physicalParameters(54),
     c     fineTuningMeasure(6)

      integer signMu, count, k

      m0 = 400.0d0
      m12 = 400.0d0
      a0 = 0.0d0
      mgut = 1.9e16
      tanb = 10.0
      signMu = 1

      call interfaceSugra(m0, m12, a0, mgut, tanb, signMu, 
     $     runningParameters, physicalParameters, fineTuningMeasure)

 10   format(3(e12.6,' '))

      k = 1

      print *,'************Running parameters at MZ**************'
      print *,'Up Yukawa matrix:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo
      
      print *,'Down Yukawa matrix:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'Lepton Yukawa matrix:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'Gauge couplings:'
      print 10, runningParameters(k), 
     c     runningParameters(k + 1), 
     c     runningParameters(k + 2) 
      k = k + 3
      
      print *,'SUSY mu:', runningParameters(k)
      k = k + 1
      print *,'tan beta:', runningParameters(k)
      k = k + 1
      
      print *,'Gaugino masses:'
      print 10, runningParameters(k), 
     c     runningParameters(k + 1), 
     c     runningParameters(k + 2) 
      k = k + 3

      print *,'Soft trilinear up matrix:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'Soft trilinear down matrix:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'Soft trilinear lepton matrix:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'QL soft mass squareds:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'UR soft mass squareds:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'DR soft mass squareds:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'LL soft mass squareds:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *,'ER soft mass squareds:'
      do count = 1, 3         
         print 10, runningParameters(k), 
     c        runningParameters(k + 1), 
     c        runningParameters(k + 2) 
         k = k + 3
      enddo

      print *, 'B=', runningParameters(108), ' mH1sq=',
     c     runningParameters(109), ' mH1sq=', runningParameters(110) 

      print *,'************** Physical parameters ****************'

      print 20, physicalParameters(1), physicalParameters(2),
     c     physicalParameters(3), physicalParameters(4)

 20   format('mh0:', e12.6, ' mA0:', e12.6, ' mH0:', e12.6, ' mH+:'
     c     ,e12.6)

      print *,' alpha:', physicalParameters(54)

      print *, 'Sneutrino masses:'
      print 10, physicalParameters(5), physicalParameters(6),
     c     physicalParameters(7)

      print *, 'Chargino masses:'
      print 30, physicalParameters(8), physicalParameters(9)

 30   format(2(e12.6, ' '))

      print *, 'Neutralino masses:'
      print 40, physicalParameters(10), physicalParameters(11),
     c     physicalParameters(12), physicalParameters(13) 

 40   format(4(e12.6, ' '))

      print *, 'Gluino mass:', physicalParameters(14) 

      k = 15
      print *, 'Neutralino mixing matrix:'
      do count = 1, 4
         print 40, physicalParameters(k), physicalParameters(k+1),
     c        physicalParameters(k+2), physicalParameters(k+3)  
         k = k + 4
      enddo

      print *,'thetaL:', physicalParameters(31), ' thetaR:',
     c     physicalParameters(32 )

      print *,'thetat:', physicalParameters(33), ' thetab:',
     c     physicalParameters(34), ' thetatau:', physicalParameters(35)

      k = 36
      print *,'Up squark masses:'
      do count = 1,2
         print 10, physicalParameters(k), physicalParameters(k+1),
     c    physicalParameters(k+2)
         k = k + 3
      enddo

      print *,'Down squark masses:'
      do count = 1,2
         print 10, physicalParameters(k), physicalParameters(k+1),
     c    physicalParameters(k+2)
         k = k + 3
      enddo

      print *,'Lepton masses:'
      do count = 1,2
         print 10, physicalParameters(k), physicalParameters(k+1),
     c    physicalParameters(k+2)
         k = k + 3
      enddo

      print *, '******** Fine Tuning wrt (m0,m12,a0,mu,B,ht) **********'
      print 10, fineTuningMeasure(1), fineTuningMeasure(2),
     c     fineTuningMeasure(3) 
      print 10, fineTuningMeasure(4), fineTuningMeasure(5),
     c     fineTuningMeasure(6) 

      end
